bit File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | __cpp_lib_bit_cast
#define | __cpp_lib_bitops
#define | __cpp_lib_endian
#define | __cpp_lib_int_pow2
#define | _GLIBCXX_BIT

## Enumerations

enum class | std::endian { little , big , native }

## Functions

template<typename _To , typename _From > requires (sizeof(_To) == sizeof(_From)) && __is_trivially_copyable(_To) && __is_trivially_copyable(_From)
constexpr _To | std::bit_cast (const _From &__from) noexcept
template<typename _Tp >
constexpr _If_is_unsigned_integer< _Tp > | std::bit_ceil (_Tp __x) noexcept
template<typename _Tp >
constexpr _If_is_unsigned_integer< _Tp > | std::bit_floor (_Tp __x) noexcept
template<typename _Tp >
constexpr _If_is_unsigned_integer< _Tp > | std::bit_width (_Tp __x) noexcept
template<typename _Tp >
constexpr _If_is_unsigned_integer< _Tp, int > | std::countl_one (_Tp __x) noexcept
template<typename _Tp >
constexpr _If_is_unsigned_integer< _Tp, int > | std::countl_zero (_Tp __x) noexcept
template<typename _Tp >
constexpr _If_is_unsigned_integer< _Tp, int > | std::countr_one (_Tp __x) noexcept
template<typename _Tp >
constexpr _If_is_unsigned_integer< _Tp, int > | std::countr_zero (_Tp __x) noexcept
template<typename _Tp >
constexpr _If_is_unsigned_integer< _Tp, bool > | std::has_single_bit (_Tp __x) noexcept
template<typename _Tp >
constexpr _If_is_unsigned_integer< _Tp, int > | std::popcount (_Tp __x) noexcept
template<typename _Tp >
constexpr _If_is_unsigned_integer< _Tp > | std::rotl (_Tp __x, int __s) noexcept
template<typename _Tp >
constexpr _If_is_unsigned_integer< _Tp > | std::rotr (_Tp __x, int __s) noexcept

## Detailed Description

This is a Standard C++ Library header.

Definition in file bit.

## Macro Definition Documentation

## _GLIBCXX_BIT

#define _GLIBCXX_BIT

Definition at line 30 of file bit.